Package org.openoffice.da.comp.w2lcommon.helper

# Class DialogBase

java.lang.Object
org.openoffice.da.comp.w2lcommon.helper.DialogAccess
org.openoffice.da.comp.w2lcommon.helper.DialogBase

All Implemented Interfaces:
  `com.sun.star.awt.XDialogEventHandler`, `com.sun.star.lang.XServiceInfo`, `com.sun.star.lang.XServiceName`, `com.sun.star.lang.XTypeProvider`, `com.sun.star.ui.dialogs.XExecutableDialog`, `com.sun.star.uno.XInterface`

Direct Known Subclasses:
  `BibTeXDialog`, `EpubMetadataDialog`, `LogViewerDialog`, `OptionsDialogBase`

public abstract class DialogBase extends DialogAccess implements com.sun.star.lang.XTypeProvider, com.sun.star.lang.XServiceInfo, com.sun.star.lang.XServiceName, com.sun.star.ui.dialogs.XExecutableDialog, com.sun.star.awt.XDialogEventHandler
This class provides an abstract uno component which implements a dialog from an xml description (using the DialogProvider2 service)

## Field Summary

Fields
Modifier and Type
Field
Description
`static String`
`__implementationName`
The component should also have an implementation name.
`static String`
`__serviceName`
The component will be registered under this name.
`protected com.sun.star.uno.XComponentContext`
`xContext`

### Fields inherited from class org.openoffice.da.comp.w2lcommon.helper.DialogAccess

`CHECKBOX_CHECKED, CHECKBOX_DONT_KNOW, CHECKBOX_NOT_CHECKED`

### Fields inherited from interface com.sun.star.awt.XDialogEventHandler

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.ui.dialogs.XExecutableDialog

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.lang.XServiceInfo

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.lang.XServiceName

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.lang.XTypeProvider

`UNOTYPEINFO`

## Constructor Summary

Constructors
Constructor
Description
`DialogBase(com.sun.star.uno.XComponentContext xContext)`
Create a new OptionsDialogBase

## Method Summary

Modifier and Type
Method
Description
`boolean`
`callHandlerMethod(com.sun.star.awt.XDialog xDialog, Object event, String sMethod)`
`protected abstract void`
`endDialog()`
End the dialog after execution (eg. save settings to the registry) The subclass must implement this
`short`
`execute()`
`abstract String`
`getDialogLibraryName()`
Return the name of the library containing the dialog The subclass must override this to provide the name of the library
`abstract String`
`getDialogName()`
Return the name of the dialog within the library The subclass must override this to provide the name of the dialog
`byte[]`
`getImplementationId()`
`String`
`getImplementationName()`
`String`
`getServiceName()`
`String[]`
`getSupportedMethodNames()`
`String[]`
`getSupportedServiceNames()`
`com.sun.star.uno.Type[]`
`getTypes()`
`protected abstract void`
`initialize()`
Initialize the dialog (eg. with settings from the registry) The subclass must implement this
`void`
`setTitle(String sTitle)`
`boolean`
`supportsService(String sServiceName)`

### Methods inherited from class org.openoffice.da.comp.w2lcommon.helper.DialogAccess

`getCheckBoxState, getCheckBoxStateAsBoolean, getComboBoxText, getControlEnabled, getControlProperties, getDateFieldValue, getDialog, getFormattedFieldText, getLabelText, getListBoxLineCount, getListBoxSelectedItem, getListBoxStringItemList, getNumericFieldValue, getTextFieldText, setCheckBoxState, setCheckBoxStateAsBoolean, setComboBoxText, setControlEnabled, setDateFieldValue, setDialog, setFormattedFieldText, setLabelText, setListBoxLineCount, setListBoxSelectedItem, setListBoxStringItemList, setNumericFieldValue, setTextFieldText`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### __serviceName

public static String __serviceName
The component will be registered under this name. The subclass must override this with a suitable name

### __implementationName

public static String __implementationName
The component should also have an implementation name. The subclass must override this with a suitable name

### xContext

protected com.sun.star.uno.XComponentContext xContext

## Constructor Details

### DialogBase

public DialogBase(com.sun.star.uno.XComponentContext xContext)
Create a new OptionsDialogBase

## Method Details

### getDialogLibraryName

public abstract String getDialogLibraryName()
Return the name of the library containing the dialog The subclass must override this to provide the name of the library

### getDialogName

public abstract String getDialogName()
Return the name of the dialog within the library The subclass must override this to provide the name of the dialog

### initialize

protected abstract void initialize()
Initialize the dialog (eg. with settings from the registry) The subclass must implement this

### endDialog

protected abstract void endDialog()
End the dialog after execution (eg. save settings to the registry) The subclass must implement this

### getTypes

public com.sun.star.uno.Type[] getTypes()

Specified by:
  `getTypes` in interface `com.sun.star.lang.XTypeProvider`

### getImplementationId

public byte[] getImplementationId()

Specified by:
  `getImplementationId` in interface `com.sun.star.lang.XTypeProvider`

### getServiceName

public String getServiceName()

Specified by:
  `getServiceName` in interface `com.sun.star.lang.XServiceName`

### supportsService

public boolean supportsService(String sServiceName)

Specified by:
  `supportsService` in interface `com.sun.star.lang.XServiceInfo`

### getImplementationName

public String getImplementationName()

Specified by:
  `getImplementationName` in interface `com.sun.star.lang.XServiceInfo`

### getSupportedServiceNames

public String[] getSupportedServiceNames()

Specified by:
  `getSupportedServiceNames` in interface `com.sun.star.lang.XServiceInfo`

### setTitle

public void setTitle(String sTitle)

Specified by:
  `setTitle` in interface `com.sun.star.ui.dialogs.XExecutableDialog`

### execute

public short execute()

Specified by:
  `execute` in interface `com.sun.star.ui.dialogs.XExecutableDialog`

### callHandlerMethod

public boolean callHandlerMethod(com.sun.star.awt.XDialog xDialog, Object event, String sMethod)

Specified by:
  `callHandlerMethod` in interface `com.sun.star.awt.XDialogEventHandler`

### getSupportedMethodNames

public String[] getSupportedMethodNames()

Specified by:
  `getSupportedMethodNames` in interface `com.sun.star.awt.XDialogEventHandler`